# Object

### Get Object Keys

*Returns an array of object keys.*

#### Expression:

**OBJ\_KEYS**(*value*: map)

#### Return:

array

#### Example of usage:

```javascript
OBJ_KEYS({key1: "apple", key2: "pear", key3: "tomatoes"})

Return value:
["key1","key2","key3"]
```

### Set Object Key

*Returns a map with a modified key value without changing a previous object.*

#### Expression:

**OBJ\_SET\_KEY**(*object*: map, *key*: string, *value*: any)

#### Return:

*newObject*: map

#### Example of usage:

```javascript
OBJ_SET_KEY({key1: "apple", key2: "pear", key3: "tomatoes"}, "key1", "jack fruit")

Return value:
{"key1":"jack fruit","key2":"pear","key3":"tomatoes"}
```

### Delete Object Key

*Returns a map with a deleted key value without changing a previous object.*

#### Expression:

**OBJ\_DELETE\_KEY**(*object*: map, *key*: string)

#### Return:

*newObject*: map

#### Example of usage:

```javascript
OBJ_DELETE_KEY({key1: "apple", key2: "pear", key3: "tomatoes"}, "key3")

Return value:
{"key1":"apple","key2":"pear"}
```

### Props to Array

*Returns a converted map to props to array without changing a previous object.*

#### Expression:

**PROPS\_TO\_ARRAY**(*value*: map)

#### Return:

*propsToArray*: map

#### Example of usage:

```javascript
PROPS_TO_ARRAY({key1: "apple", key2: "pear", key3: "tomatoes"})

Return value:
[
    {"key":"key1","value":"apple"},
    {"key":"key2","value":"pear"},
    {"key":"key3","value":"tomatoes"}
]
```

### Object from an Array

*Returns a created object from an array.*

{% hint style="info" %}
*key*, *value* are mandatory in an expression
{% endhint %}

#### Expression:

**OBJ\_FROM\_ARRAY**(*value*: array { *key*: string, *value*: string })

#### Return:

*convertedObject*: map

#### Example of usage:

```javascript
OBJ_FROM_ARRAY([{ key: "myKey", value: "myValue" }])

Return value:
{"myKey":"myValue"}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adapptio.com/reference-guide/functions/object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
